Operation Types
Part of the Inventory API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List operation types
GET/admin/api/v1/inventories/operation-typesRetrieve a paginated list of operation types with filtering and sorting
🔒 Requires a valid Bearer token.
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: returnOperationType, sourceLocation, destinationLocation, warehouse, company, creator | warehouse,sourceLocation |
filter[id] | string | No | Comma-separated list of IDs to filter by | architecto |
filter[name] | string | No | Filter by name | Receipt |
filter[type] | string | No | Filter by operation type values | incoming |
filter[warehouse_id] | string | No | Filter by warehouse IDs | architecto |
filter[company_id] | string | No | Filter by company IDs | architecto |
sort | string | No | Sort field | -created_at |
curl -X GET "https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types?include=warehouse%2CsourceLocation&filter%5Bid%5D=architecto&filter%5Bname%5D=Receipt&filter%5Btype%5D=incoming&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": [
{
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2026-10-12T09:59:23.000000Z",
"updated_at": "2026-10-12T09:59:23.000000Z",
"deleted_at": null
},
{
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2026-10-12T09:59:23.000000Z",
"updated_at": "2026-10-12T09:59:23.000000Z",
"deleted_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
{
"message": "Unauthenticated."
}Create operation type
POST/admin/api/v1/inventories/operation-typesCreate a new operation type
🔒 Requires a valid Bearer token.
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Operation type name. Must not be greater than 255 characters. |
type | string | Yes | Operation type value. |
sequence_code | string | Yes | Sequence prefix. Must not be greater than 255 characters. |
print_label | boolean | No | Generate shipping labels. |
warehouse_id | integer | No | Warehouse ID. Must match an existing stored value. |
reservation_method | string | No | Reservation method. |
auto_show_reception_report | boolean | No | Auto show reception report. |
company_id | integer | No | Company ID. Must match an existing stored value. |
return_operation_type_id | integer | No | Return operation type ID. Must match an existing stored value. |
create_backorder | string | Yes | Backorder policy. |
move_type | string | No | Shipping policy. |
use_create_lots | boolean | No | Allow creating new lots. |
use_existing_lots | boolean | No | Allow selecting existing lots. |
source_location_id | integer | Yes | Source location ID. Must match an existing stored value. |
destination_location_id | integer | Yes | Destination location ID. Must match an existing stored value. |
curl -X POST "https://your-domain.com/admin/api/v1/inventories/operation-types" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Receipts",
"type": "incoming",
"sequence_code": "IN",
"print_label": false,
"warehouse_id": 1,
"reservation_method": "at_confirm",
"auto_show_reception_report": false,
"company_id": 1,
"return_operation_type_id": 2,
"create_backorder": "ask",
"move_type": "direct",
"use_create_lots": true,
"use_existing_lots": true,
"source_location_id": 1,
"destination_location_id": 2
}'const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Receipts",
"type": "incoming",
"sequence_code": "IN",
"print_label": false,
"warehouse_id": 1,
"reservation_method": "at_confirm",
"auto_show_reception_report": false,
"company_id": 1,
"return_operation_type_id": 2,
"create_backorder": "ask",
"move_type": "direct",
"use_create_lots": true,
"use_existing_lots": true,
"source_location_id": 1,
"destination_location_id": 2
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/operation-types', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'Receipts',
'type' => 'incoming',
'sequence_code' => 'IN',
'print_label' => false,
'warehouse_id' => 1,
'reservation_method' => 'at_confirm',
'auto_show_reception_report' => false,
'company_id' => 1,
'return_operation_type_id' => 2,
'create_backorder' => 'ask',
'move_type' => 'direct',
'use_create_lots' => true,
'use_existing_lots' => true,
'source_location_id' => 1,
'destination_location_id' => 2,
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"name": "Receipts",
"type": "incoming",
"sequence_code": "IN",
"print_label": False,
"warehouse_id": 1,
"reservation_method": "at_confirm",
"auto_show_reception_report": False,
"company_id": 1,
"return_operation_type_id": 2,
"create_backorder": "ask",
"move_type": "direct",
"use_create_lots": True,
"use_existing_lots": True,
"source_location_id": 1,
"destination_location_id": 2,
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 201
{
"data": {
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2026-10-12T09:59:23.000000Z",
"updated_at": "2026-10-12T09:59:23.000000Z",
"deleted_at": null
},
"message": "Operation type created successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Show operation type
GET/admin/api/v1/inventories/operation-types/{id}Retrieve a specific operation type by ID
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The operation type ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: returnOperationType, sourceLocation, destinationLocation, warehouse, company, creator | warehouse,company |
curl -X GET "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}?include=warehouse%2Ccompany"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2026-10-12T09:59:23.000000Z",
"updated_at": "2026-10-12T09:59:23.000000Z",
"deleted_at": null
}
}Error response — 401
{
"message": "Unauthenticated."
}Update operation type
PUT/admin/api/v1/inventories/operation-types/{id}Update an existing operation type
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The operation type ID |
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | Operation type name. Must not be greater than 255 characters. |
type | string | No | Operation type value. |
sequence_code | string | No | Sequence prefix. Must not be greater than 255 characters. |
print_label | boolean | No | Generate shipping labels. |
warehouse_id | integer | No | Warehouse ID. Must match an existing stored value. |
reservation_method | string | No | Reservation method. |
auto_show_reception_report | boolean | No | Auto show reception report. |
company_id | integer | No | Company ID. Must match an existing stored value. |
return_operation_type_id | integer | No | Return operation type ID. Must match an existing stored value. |
create_backorder | string | No | Backorder policy. |
move_type | string | No | Shipping policy. |
use_create_lots | boolean | No | Allow creating new lots. |
use_existing_lots | boolean | No | Allow selecting existing lots. |
source_location_id | integer | No | Source location ID. Must match an existing stored value. |
destination_location_id | integer | No | Destination location ID. Must match an existing stored value. |
curl -X PUT "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Receipts",
"type": "incoming",
"sequence_code": "IN",
"print_label": false,
"warehouse_id": 1,
"reservation_method": "at_confirm",
"auto_show_reception_report": false,
"company_id": 1,
"return_operation_type_id": 2,
"create_backorder": "ask",
"move_type": "direct",
"use_create_lots": true,
"use_existing_lots": true,
"source_location_id": 1,
"destination_location_id": 2
}'const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Receipts",
"type": "incoming",
"sequence_code": "IN",
"print_label": false,
"warehouse_id": 1,
"reservation_method": "at_confirm",
"auto_show_reception_report": false,
"company_id": 1,
"return_operation_type_id": 2,
"create_backorder": "ask",
"move_type": "direct",
"use_create_lots": true,
"use_existing_lots": true,
"source_location_id": 1,
"destination_location_id": 2
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'Receipts',
'type' => 'incoming',
'sequence_code' => 'IN',
'print_label' => false,
'warehouse_id' => 1,
'reservation_method' => 'at_confirm',
'auto_show_reception_report' => false,
'company_id' => 1,
'return_operation_type_id' => 2,
'create_backorder' => 'ask',
'move_type' => 'direct',
'use_create_lots' => true,
'use_existing_lots' => true,
'source_location_id' => 1,
'destination_location_id' => 2,
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"name": "Receipts",
"type": "incoming",
"sequence_code": "IN",
"print_label": False,
"warehouse_id": 1,
"reservation_method": "at_confirm",
"auto_show_reception_report": False,
"company_id": 1,
"return_operation_type_id": 2,
"create_backorder": "ask",
"move_type": "direct",
"use_create_lots": True,
"use_existing_lots": True,
"source_location_id": 1,
"destination_location_id": 2,
}
response = requests.put(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2026-10-12T09:59:23.000000Z",
"updated_at": "2026-10-12T09:59:23.000000Z",
"deleted_at": null
},
"message": "Operation type updated successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Delete operation type
DELETE/admin/api/v1/inventories/operation-types/{id}Soft delete an operation type
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The operation type ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Operation type deleted successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Restore operation type
POST/admin/api/v1/inventories/operation-types/{id}/restoreRestore a soft deleted operation type
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The operation type ID |
curl -X POST "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/restore"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.post(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"name": "Receipts",
"type": "incoming",
"sort": 1,
"sequence_code": "IN",
"reservation_method": "at_confirm",
"reservation_days_before": 0,
"reservation_days_before_priority": 0,
"product_label_format": "2x7xprice",
"lot_label_format": "4x12_lots",
"package_label_to_print": "pdf",
"barcode": "WHIN",
"create_backorder": "ask",
"move_type": "direct",
"show_entire_packs": false,
"use_create_lots": true,
"use_existing_lots": true,
"print_label": false,
"show_operations": false,
"auto_show_reception_report": false,
"auto_print_delivery_slip": false,
"auto_print_return_slip": false,
"auto_print_product_labels": false,
"auto_print_lot_labels": false,
"auto_print_reception_report": false,
"auto_print_reception_report_labels": false,
"auto_print_packages": false,
"auto_print_package_label": false,
"created_at": "2026-10-12T09:59:23.000000Z",
"updated_at": "2026-10-12T09:59:23.000000Z",
"deleted_at": null
},
"message": "Operation type restored successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Force delete operation type
DELETE/admin/api/v1/inventories/operation-types/{id}/forcePermanently delete an operation type
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The operation type ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/inventories/operation-types/{id}/force"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Operation type permanently deleted successfully."
}Error response — 401
{
"message": "Unauthenticated."
}